package cn.com.qmth.examcloud.core.questions.base.question;

import cn.com.qmth.examcloud.core.questions.base.question.enums.QuesStructType;

import java.io.Serializable;
import java.util.List;
import java.util.Map;

public class SubQuestionDto implements Serializable {

    private static final long serialVersionUID = -7612222458755752097L;

    private Integer number;// 子题的序号

    private String quesBody;// 子题题干,默认为html

    private String quesAnswer;// 子题答案,默认为html

    private List<QuesOptionDto> quesOptions;// 子题选项

    private QuesStructType questionType;// 子题结构类型

    private Map<String, String> quesParams;// 试题属性

    private Double score;// 预设分值

    public Integer getNumber() {
        return number;
    }

    public void setNumber(Integer number) {
        this.number = number;
    }

    public String getQuesBody() {
        return quesBody;
    }

    public void setQuesBody(String quesBody) {
        this.quesBody = quesBody;
    }

    public String getQuesAnswer() {
        return quesAnswer;
    }

    public void setQuesAnswer(String quesAnswer) {
        this.quesAnswer = quesAnswer;
    }

    public List<QuesOptionDto> getQuesOptions() {
        return quesOptions;
    }

    public void setQuesOptions(List<QuesOptionDto> quesOptions) {
        this.quesOptions = quesOptions;
    }

    public QuesStructType getQuestionType() {
        return questionType;
    }

    public void setQuestionType(QuesStructType questionType) {
        this.questionType = questionType;
    }

    public Map<String, String> getQuesParams() {
        return quesParams;
    }

    public void setQuesParams(Map<String, String> quesParams) {
        this.quesParams = quesParams;
    }

    public Double getScore() {
        return score;
    }

    public void setScore(Double score) {
        this.score = score;
    }
}
